FreeBSD : gitea -- multiple vulnerabilities (cb539d4e-cd68-11e8-8819-00e04c1ea73d)

High Nessus Plugin ID 118075

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Gitea project reports :

CSRF Vulnerability on API.

Enforce token on api routes.

Solution

Update the affected package.

See Also

https://github.com/go-gitea/gitea/issues/4357

http://www.nessus.org/u?c98f7082

Plugin Details

Severity: High

ID: 118075

File Name: freebsd_pkg_cb539d4ecd6811e8881900e04c1ea73d.nasl

Version: 1.2

Type: local

Published: 2018/10/12

Modified: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gitea, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/10/11

Vulnerability Publication Date: 2018/10/01